Bug 979137 - Plugin rabbitvcs-nautilus doesn't work on fedora 18 x86_64
Plugin rabbitvcs-nautilus doesn't work on fedora 18 x86_64
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rabbitvcs (Show other bugs)
19
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Juan Manuel Rodriguez
Fedora Extras Quality Assurance
:
: 1046974 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-27 14:01 EDT by Filippe Spolti
Modified: 2015-01-22 18:15 EST (History)
8 users (show)

See Also:
Fixed In Version: rabbitvcs-0.16-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-26 01:31:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
statuschecker.py (2.23 KB, text/x-python)
2013-06-27 14:01 EDT, Filippe Spolti
no flags Details

  None (edit)
Description Filippe Spolti 2013-06-27 14:01:56 EDT
Created attachment 766272 [details]
statuschecker.py

Description of problem: 


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Just install rabbitvcs-nautilus.
sudo yum install rabbitvcs-nautilus

Actual results:
No menu or submenus rabbit is shown. (Rabbit VCS and commit/updates options).

Expected results:
All menus should appear.

Additional info:
I fixed this issue, i don't know if is the correct way, but now is working as expected.

Steps to fix:
1° install nautilus-python (In my case this package was not installed as a dependency)
sudo yum install nautilus-python

2° Remove the /usr/share/nautilus-python/extensions/RabbitVCS.py and get a new one from source code: http://code.google.com/p/rabbitvcs/source/browse/trunk/clients/nautilus-3.0/RabbitVCS.py?spec=svn3215&r=3215

3° Remove the /usr/lib/python2.7/site-packages/rabbitvcs/services/statuschecker.py and add the statuschecker.py attached here. Apparently it is an error of indentation.

After that, all functionalities are working how expected.

Thx.
Comment 1 Filippe Spolti 2013-08-14 10:13:28 EDT
Same bug on fedora 19 64
Comment 2 Filippe Spolti 2013-08-14 16:16:05 EDT
To reproduce is needed run easy_install simplejson.
Comment 3 Dima 2013-09-28 17:52:46 EDT
WA doesn't work on F19 64 (gnome-session 3.8.4, Python 2.7.5, Thunar 1.6.3, GNOME nautilus 3.8.2).. Very sad, nobody knows how to get it work. Does anyone has working WA for F19 64? Please share..
Comment 4 RvD 2013-11-10 08:11:53 EST
Problem persists on Fedora 19 i686 GNOME 3 Nautilus.

Also on XFCE: http://tech.danbarrese.com/2013/04/19/solved-install-rabbitvcs-in-fedora-18-xfce/
Comment 5 RvD 2013-11-10 08:32:45 EST
Root cause is twofold in Fedora 19 with Nautilus:

1. dependency error: simplejson is missing
2. path handling change needed: RabbitVCS.py

To fix, install python-simplejson & replace /usr/share/nautilus-python/extensions/RabbitVCS.py from trunk.

The changed statuschecker.py is not needed in Fedora 19.
Comment 6 Felipe Orsi 2013-11-27 11:37:08 EST
Filippe Spolti solution seems to fix the problem.
Nautilus context menu now show RabbitVCS submenus.

Running on Fedora 19 64Bits

Thanks
Comment 7 Fedora End Of Life 2013-12-21 09:10:46 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Christopher Meng 2013-12-27 22:01:12 EST
*** Bug 1046974 has been marked as a duplicate of this bug. ***
Comment 9 Christian V R Lopes 2014-02-09 11:15:14 EST
Same bug on fedora 20 64 . And I was not able to fix with instructions from post #1.
Comment 10 Filippe Spolti 2014-02-10 06:50:42 EST
Run nautilus via prompt and see the errors.
Comment 11 Fedora Update System 2014-03-13 00:23:46 EDT
rabbitvcs-0.16-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/rabbitvcs-0.16-1.fc20
Comment 12 Fedora Update System 2014-03-13 00:24:12 EDT
rabbitvcs-0.16-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/rabbitvcs-0.16-1.fc19
Comment 13 Fedora Update System 2014-03-15 11:03:03 EDT
Package rabbitvcs-0.16-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rabbitvcs-0.16-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-3833/rabbitvcs-0.16-1.fc20
then log in and leave karma (feedback).
Comment 14 Fedora Update System 2014-03-26 01:31:15 EDT
rabbitvcs-0.16-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2014-03-26 01:32:40 EDT
rabbitvcs-0.16-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Matthias Blümel 2015-01-22 18:15:05 EST
simplejson dependecy is still missing on rabbitvcs-nautilus.x86_64 0.16-3.fc21

Note You need to log in before you can comment on or make changes to this bug.